Bug 82438 - No synchronization between color attributes in the toolbar and sidebar
Summary: No synchronization between color attributes in the toolbar and sidebar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 91812 105289 112471 (view as bug list)
Depends on: 113433
Blocks: 34804 Split-Group-Buttons-Color
  Show dependency treegraph
 
Reported: 2014-08-11 00:28 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-05-30 02:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
all three have different colors in sidebar and toolbar (27.61 KB, image/png)
2014-08-11 00:28 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-11 00:28:28 UTC
Created attachment 104396 [details]
all three have different colors in sidebar and toolbar

If you have the sidebar open and you set a font color, the toolbar font color entry wont change to that color. The same goes for highlight and background color. Tested on 4.3.2.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-19 21:16:18 UTC
It should also be noted that when the background button appears in the table toolbar, it works independent to the background button in the formatting toolbar.
Comment 2 sophie 2014-08-21 12:51:29 UTC
Hi Jay, confirmed. The other way, applying color from the toolbar button, update the sidebar button. Set as New - Sophie
Comment 3 Maxim Monastirsky 2014-09-15 11:12:47 UTC
(In reply to comment #0)
> The same goes for highlight and background color.
Regarding the background color button, this is not a bug. The toolbar button is a split button and supposed to show the last used color, whereas the sidebar button is a simple button so it shows the actual background color of the selected paragraph.
Comment 4 Yousuf Philips (jay) (retired) 2014-09-15 15:20:19 UTC
(In reply to comment #3)
> Regarding the background color button, this is not a bug. The toolbar button
> is a split button and supposed to show the last used color, whereas the
> sidebar button is a simple button so it shows the actual background color of
> the selected paragraph.

Yes you are correct about the background color feature in the sidebar.
Comment 5 QA Administrators 2016-09-20 10:00:39 UTC Comment hidden (obsolete)
Comment 6 Maxim Monastirsky 2017-01-12 18:25:11 UTC
*** Bug 105289 has been marked as a duplicate of this bug. ***
Comment 7 Maxim Monastirsky 2017-09-18 14:08:01 UTC
*** Bug 112471 has been marked as a duplicate of this bug. ***
Comment 8 Maxim Monastirsky 2017-10-24 08:34:42 UTC
*** Bug 91812 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2019-05-30 02:54:56 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug